seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2019/12/06, 18:43:35


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: [solved] apt-listchanges returned an error code (1)  (Read 8836 times)

0 Members and 1 Guest are viewing this topic.

Offline Taliesin

  • User
  • Posts: 64
Hi folks, following up on the "KDE to be removed" due to the recent major upgrade.

I waited until the conditions for a dist-upgrade were optimal, that is no packages to be removed only upgraded.

Running apt-get dist-upgrade now shows,

Code: [Select]
533 upgraded, 12 newly installed, 0 to remove and 1 not upgraded.
259 not fully installed or removed.

Not sure why the 259 not fully installed or removed. Never seen that before.

And I get the following error message.

Code: [Select]
apt-listchanges: APT_HOOK_INFO_FD environment variable is incorrectly defined
(Dpkg::Tools::Options::/usr/bin/apt-listchanges::InfoFD should be greater than 2).
E: Sub-process /usr/bin/apt-listchanges --apt || test $? -ne 10 returned an error code (1)
E: Failure running script /usr/bin/apt-listchanges --apt || test $? -ne 10
« Last Edit: 2016/09/03, 12:24:24 by musca »

Offline piper

  • Global Moderator
  • User
  • *****
  • Posts: 1.723
  • we are the priests ... of the temples of syrinx
Re: Dist Upgrade problem
« Reply #1 on: 2016/09/03, 03:07:23 »
Have you done a

Code: [Select]
apt clean
then reboot and try again ?

Make sure you have this line

Code: [Select]
DPkg::Tools::Options::/usr/bin/apt-listchanges::InfoFD "20";
in /etc/apt/apt.conf.d/20listchanges


EDIT:

If that line exists, you might want to try this

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=835046
« Last Edit: 2016/09/03, 03:21:50 by piper »
I either give too many fucks or no fucks at all, it's like I cannot find a middle ground for a moderate fuck distribution, it's like what the fuck

Free speech isn't just fucking saying what you want to say, it's also hearing what you don't want to fucking hear

Offline Taliesin

  • User
  • Posts: 64
Re: Dist Upgrade problem
« Reply #2 on: 2016/09/03, 06:15:19 »
Vote 1 Piper for President - Legends of Linux party!

The line you mentioned was indeed absent from

/etc/apt/apt.conf.d/20listchanges

Thank you once again mate!

Offline piper

  • Global Moderator
  • User
  • *****
  • Posts: 1.723
  • we are the priests ... of the temples of syrinx
Re: [solved] apt-listchanges returned an error code (1)
« Reply #3 on: 2016/09/03, 12:56:57 »
No problem mate, glad it was an easy fix  ;)
I either give too many fucks or no fucks at all, it's like I cannot find a middle ground for a moderate fuck distribution, it's like what the fuck

Free speech isn't just fucking saying what you want to say, it's also hearing what you don't want to fucking hear